Up

# NSPanel

### Authors

Scott Christley (`scottc@net-community.com`)

> Panel window class and related functions

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSPanel class

## NSPanel : NSWindow

> Declared in:
>   AppKit/NSPanel.h

Availability: OpenStep
Description forthcoming.
Method summary

- -becomesKeyOnlyIfNeeded
- -isFloatingPanel
- -setBecomesKeyOnlyIfNeeded:
- -setFloatingPanel:
- -setWorksWhenModal:
- -worksWhenModal

### becomesKeyOnlyIfNeeded

- (BOOL) becomesKeyOnlyIfNeeded;
Availability: OpenStep

Returns whether if the NSPanel becomes key window only when a view require to be the first responder.

See Also: -setBecomesKeyOnlyIfNeeded: [NSView -needsPanelToBecomeKey] [NSWindow -sendEvent:]

### isFloatingPanel

- (BOOL) isFloatingPanel;
Availability: OpenStep

Returns whether the NSPanel is a floating panel, e.g. the window level is NSFloatingWindowLevel instead of NSNormalWindowLevel.

See Also: -setFloatingPanel:

### setBecomesKeyOnlyIfNeeded:

- (void) setBecomesKeyOnlyIfNeeded: (BOOL)flag;
Availability: OpenStep

Sets whether if the NSPanel becomes key window only when a view require to be the first responder.

See Also: -setBecomesKeyOnlyIfNeeded: [NSView -needsPanelToBecomeKey] [NSWindow -sendEvent:]

### setFloatingPanel:

- (void) setFloatingPanel: (BOOL)flag;
Availability: OpenStep

Sets whether the NSPanel is a floating panel, e.g. the window level is NSFloatingWindowLevel instead of NSNormalWindowLevel.

See Also: -isFloatingPanel [NSWindow -setLevel:]

### setWorksWhenModal:

- (void) setWorksWhenModal: (BOOL)flag;
Availability: OpenStep

Sets whether the NSPanel can receive events when another window/panel runs modally.

See Also: -worksWhenModal [NSApplication -runModalSession:]

### worksWhenModal

- (BOOL) worksWhenModal;
Availability: OpenStep

Returns whether the NSPanel can receive events when another window/panel runs modally.

See Also: -setWorksWhenModal: [NSApplication -runModalSession:]

Up